/*
* @license Apache-2.0
*
* Copyright (c) 2021 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

import isRowMajor = require( './index' );


// TESTS //

// The function returns a boolean...
{
	isRowMajor( [ 2, 1 ] ); // $ExpectType boolean
	isRowMajor( [ 1, 2 ] ); // $ExpectType boolean
}

// The function does not compile if provided a value other than an array-like object containing numbers...
{
	isRowMajor( true ); // $ExpectError
	isRowMajor( false ); // $ExpectError
	isRowMajor( null ); // $ExpectError
	isRowMajor( undefined ); // $ExpectError
	isRowMajor( '5' ); // $ExpectError
	isRowMajor( [ '1', '2' ] ); // $ExpectError
	isRowMajor( {} ); // $ExpectError
	isRowMajor( ( x: number ): number => x ); // $ExpectError
}

// The function does not compile if provided insufficient arguments...
{
	isRowMajor(); // $ExpectError
}
