/**
* @license Apache-2.0
*
* Copyright (c) 2018 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

'use strict';

/**
* Given a stride array, determine whether an array is row-major.
*
* @module @stdlib/ndarray-base-assert-is-row-major
*
* @example
* var isRowMajor = require( '@stdlib/ndarray-base-assert-is-row-major' );
*
* var bool = isRowMajor( [ 2, 1 ] );
* // returns true
*
* bool = isRowMajor( [ 1, 2 ] );
* // returns false
*/

// MODULES //

var isRowMajor = require( './main.js' );


// EXPORTS //

module.exports = isRowMajor;
